eog (47.0-3) unstable; urgency=medium

  * Stop using dh-sequence-gnome
  * Remove obsolete Rules-Requires-Root: no field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Sep 2025 06:55:16 -0400

eog (47.0-2) unstable; urgency=medium

  * Team upload
  * d/control: Remove Multi-Arch: same from eog-dev.
    It cannot usefully be multiarch co-installable, because it depends
    on eog which is not co-installable.
  * d/control: Build-depend on gobject-introspection instead of
    libgirepository1.0-dev.
    libgirepository1.0-dev is not Multi-Arch co-installable and should be
    phased out during the forky cycle.
  * d/control: Explicitly build-depend on gir1.2-gtk-3.0-dev.
    This brings us one step closer to gtk+3.0 being able to implement
    the <!nogir> build profile if it becomes useful to do so.
  * d/copyright: Stop quoting the FSF's old postal address
  * d/copyright: Clean up trailing whitespace
  * Standards-Version: 4.7.2 (no changes required)
  * d/*.install: Canonicalize into sorted order
  * d/control: Canonicalize order of dependency lists

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Aug 2025 00:38:31 +0100

eog (47.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 11:31:54 -0400

eog (47~beta-1) unstable; urgency=medium

  * New upstream release
  * Add Depends: libjxl-gdk-pixbuf for jpeg-xl support
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 04 Aug 2024 11:35:15 -0400

eog (45.3-1) unstable; urgency=medium

  * New upstream release

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 19 Mar 2024 08:17:51 -0400

eog (45.2-1) unstable; urgency=medium

  * New upstream release
    - data: Update appdata (Sabri Ünal)
      (https://gitlab.gnome.org/GNOME/eog/-/merge_requests/158)
  * debian/control: Bump minimum libglib2.0-dev version to 2.73.2
    per upstream meson.build

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 09 Jan 2024 11:47:36 -0500

eog (45.1-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Nov 2023 15:12:23 +0200

eog (45.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 07:30:50 -0400

eog (45~rc-1) unstable; urgency=medium

  * New upstream release
  * Drop translation update patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Sep 2023 08:32:49 -0400

eog (45~alpha-1) unstable; urgency=medium

  * New upstream release
    - The display name has been changed from Image Viewer to Eye of GNOME
      since Loupe is GNOME's default image viewer as of GNOME 45.
  * Cherry-pick translation updates since 45~alpha

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 16 Aug 2023 14:22:29 -0400

eog (44.3-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 12:00:51 -0400

eog (44.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Jarred Wilson <jarred.wilson@canonical.com>  Wed, 12 Jul 2023 12:59:03 -0400

eog (44.2-1) experimental; urgency=medium

  * New upstream release (LP: #2021522)
    - EogWindow: Fix refcount and signal handler issues around GSettings
      handles (Felix Riemann)
      (https://gitlab.gnome.org/GNOME/eog/-/merge_requests/153)
    - Replace filename with basename (Khem Raj)
      (https://gitlab.gnome.org/GNOME/eog/-/merge_requests/154)

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 29 May 2023 14:06:30 -0400

eog (44.1-1) experimental; urgency=medium

  * Team upload

  [ Amin Bandali ]
  * New upstream release
    - EogImage: ref priv->anim to avoid double free issues (Alberto Ruiz)
      (https://gitlab.gnome.org/GNOME/eog/-/merge_requests/150)
    - EogImage: Do not leak animation iter (Felix Riemann)
      (https://gitlab.gnome.org/GNOME/eog/-/merge_requests/152)
    - segfault when switching between animated webp images (Felix Riemann)
      (https://gitlab.gnome.org/GNOME/eog/-/issues/288)
    - New/updated program and manual translations

  [ Jeremy Bicha ]
  * Update standards version to 4.6.2, no changes needed

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 27 Apr 2023 12:50:07 -0400

eog (44.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 08:31:11 -0400

eog (44~beta-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Feb 2023 15:21:18 -0500

eog (43.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 10 Jan 2023 14:36:50 -0500

eog (43.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 04 Nov 2022 11:37:28 +0100

eog (43.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Simon McVittie ]
  * d/control.in: Drop alternative B-D on libgdk-pixbuf2.0-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 11:03:18 -0400

eog (43~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2022 14:49:42 -0400

eog (43~beta-1) unstable; urgency=medium

  * New upstream release
  * Depend on webp-pixbuf-loader: needed to open webp files
  * debian/control.in: Depend on instead of Recommend librsvg2-common

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 08 Aug 2022 16:16:46 -0400

eog (42.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Jun 2022 16:51:33 -0400

eog (42.1-1) unstable; urgency=medium

  * New upstream release (LP: #1970219)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 25 Apr 2022 09:51:21 -0400

eog (42.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum gsettings-desktop-schemas to 42~beta

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 09:05:44 -0400

eog (42~beta-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Feb 2022 12:25:56 -0500

eog (42~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on gi-docgen
  * debian/control.in: Build-Depend on libhandy
  * debian/control.in: Bump minimum gtk3 and meson
  * debian/control.in: Reduce eog-dev's Dependencies to match its pkgconfig file

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Feb 2022 11:55:53 -0500

eog (41.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 05 Dec 2021 03:54:39 -0500

eog (41.0-2) unstable; urgency=medium

  * Only enable librsvg on architectures where it's available

 -- Laurent Bigonville <bigon@debian.org>  Sat, 25 Sep 2021 11:19:32 +0200

eog (41.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 18 Sep 2021 18:05:10 -0400

eog (40.3-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 19 Aug 2021 18:56:29 -0400

eog (40.2-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Jun 2021 12:30:09 +0200

eog (40.1-1) experimental; urgency=medium

  * New upstream release
  * debian/watch:
    - Update to follow the new GNOME version scheme

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 20 May 2021 13:37:58 +0200

eog (40.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Mar 2021 21:08:01 +0100

eog (40~rc-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@debian.org>  Mon, 15 Mar 2021 10:35:46 +0100

eog (40~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/eog.docs:
    - updated for the new README naming

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Feb 2021 15:29:27 +0100

eog (3.38.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Avoid warning about GError handling when unlinking a directory
      while it is being viewed
    - Translation updates

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Feb 2021 12:02:31 +0000

eog (3.38.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Refresh thumbnail when images are deleted from file manager
    - Fix a memory leak when reopening in single-window mode
    - Fix an assertion failure when rotating and saving an image multiple
      times
    - Translation updates

 -- Simon McVittie <smcv@debian.org>  Fri, 27 Nov 2020 15:53:08 +0000

eog (3.38.0-2) unstable; urgency=medium

  * Team upload
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev.
    We don't need the deprecated Xlib integration that is also pulled in
    by the older libgdk-pixbuf2.0-dev package (see #974870).
  * Standards-Version: 4.5.1 (no changes required)
  * d/changelog: Trim trailing whitespace
  * d/upstream/metadata: Add
  * d/rules: Drop unnecessary -Wl,--as-needed.
    This is the default for recent toolchains in bullseye.

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Nov 2020 09:31:02 +0000

eog (3.38.0-1) unstable; urgency=medium

  * New upstream release

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 14 Sep 2020 13:44:10 +0200

eog (3.37.90-1) experimental; urgency=medium

  * New upstream release
  * debian/rules:
    - don't build with libportal, that's of no use in the deb

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 10 Aug 2020 15:30:02 +0200

eog (3.36.3-1) unstable; urgency=medium

  * New upstream release (lp: #1886480)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Jul 2020 16:10:32 +0200

eog (3.36.2-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 30 Apr 2020 12:05:09 +0200

eog (3.36.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Mar 2020 22:31:12 -0400

eog (3.36.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 Mar 2020 17:33:47 +0100

eog (3.35.92-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Mar 2020 15:20:56 +0100

eog (3.35.91-1) experimental; urgency=medium

  * New upstream release
  * control, compat: Move to declaring compat via debhelper-compat & level 12

 -- Iain Lane <laney@debian.org>  Thu, 20 Feb 2020 10:06:33 +0000

eog (3.34.1-1) unstable; urgency=medium

  * New upstream release

 -- Tim Lunn <tim@feathertop.org>  Tue, 08 Oct 2019 18:24:54 +1100

eog (3.34.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Sep 2019 09:32:19 +0200

eog (3.33.91-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Aug 2019 13:35:23 +0200

eog (3.33.90-2) experimental; urgency=medium

  * debian/rules:
    - include the private library subdir in the call to dh_girepository

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Aug 2019 17:41:35 +0200

eog (3.33.90-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated meson and librsvg requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Aug 2019 17:23:29 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog eog`.
